Package twisted :: Package internet :: Module interfaces :: Class IMulticastTransport

[show private | hide private]
[frames | no frames]

## Class IMulticastTransport

    Interface --+
                |
               IMulticastTransport

Additional functionality for multicast UDP.

Method Summary
| ``getLoopbackMode`(self)` Return if loopback mode is enabled.
| ``getOutgoingInterface`(self)` Return interface of outgoing multicast packets.
| ``getTTL`(self)` Get time to live for multicast packets.
| ``joinGroup`(self, addr, interface)` Join a multicast group.
| ``leaveGroup`(self, addr, interface)` Leave multicast group, return Deferred of success.
| ``setLoopbackMode`(self, mode)` Set if loopback mode is enabled.
| ``setOutgoingInterface`(self, addr)` Set interface for outgoing multicast packets.
| ``setTTL`(self, ttl)` Set time to live on multicast packets.

Method Details

### getLoopbackMode(self)

Return if loopback mode is enabled.

### getOutgoingInterface(self)

Return interface of outgoing multicast packets.

### getTTL(self)

Get time to live for multicast packets.

### joinGroup(self, addr, interface='')

Join a multicast group. Returns Deferred of success.

### leaveGroup(self, addr, interface='')

Leave multicast group, return Deferred of success.

### setLoopbackMode(self, mode)

Set if loopback mode is enabled.

### setOutgoingInterface(self, addr)

Set interface for outgoing multicast packets.

Returns Deferred of success.

### setTTL(self, ttl)

Set time to live on multicast packets.

Generated by Epydoc 1.1 on Sat Feb 15 21:19:04 2003 | http://epydoc.sf.net